#ifndef GEOMETRIE_H
#define GEOMETRIE_H

#ifndef M_PI
#define M_PI (3.14159265358979323846)
#endif

#define DEGRE_EN_RADIAN  (M_PI / 180.)
#define DISTANCE_INVALIDE (-1.)

struct position_t{
    double x_mm, y_mm;
    double angle_radian;
};

double Geometrie_get_angle_normalisee(double angle);
unsigned int Geometrie_compare_angle(double angle, double angle_min, double angle_max);
unsigned int Geometrie_intersecte_plage_angle(double angle1_min, double angle1_max, double angle2_min, double angle2_max);

#endif
